Package org.silverpeas.components.gallery.constant

## Enum MediaResolution

- java.lang.Object
- - java.lang.Enum<MediaResolution>
  - - org.silverpeas.components.gallery.constant.MediaResolution

- All Implemented Interfaces:
    `Serializable`, `Comparable<MediaResolution>`

      public enum MediaResolution
      extends Enum<MediaResolution>

  Author:
    Yohann Chastagnier

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LARGE` |
    `MEDIUM` |
    `NORMAL` |
    `ORIGINAL` |
    `PREVIEW` |
    `SMALL` |
    `TINY` |
    `WATERMARK` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Set<MediaResolution>` | `ALL` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaResolution` | `fromNameOrLabel​(String nameOrLabel)` |
    `Integer` | `getHeight()` |
    `String` | `getLabel()` |
    `String` | `getName()` |
    `String` | `getThumbnailSuffix()` |
    `Integer` | `getWatermarkSize()` |
    `Integer` | `getWidth()` |
    `boolean` | `isDisplayed()` | Indicates if the definition can be displayed to the user.
    `boolean` | `isLarge()` |
    `boolean` | `isMedium()` |
    `boolean` | `isPreview()` |
    `boolean` | `isSmall()` |
    `boolean` | `isTiny()` |
    `boolean` | `isWatermark()` |
    `boolean` | `isWatermarkApplicable()` |
    `static MediaResolution` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MediaResolution[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TINY

          public static final MediaResolution TINY

    - #### SMALL

          public static final MediaResolution SMALL

    - #### MEDIUM

          public static final MediaResolution MEDIUM

    - #### LARGE

          public static final MediaResolution LARGE

    - #### PREVIEW

          public static final MediaResolution PREVIEW

    - #### NORMAL

          public static final MediaResolution NORMAL

    - #### WATERMARK

          public static final MediaResolution WATERMARK

    - #### ORIGINAL

          public static final MediaResolution ORIGINAL

  - ### Field Detail

    - #### ALL

          public static final Set<MediaResolution> ALL

  - ### Method Detail

    - #### values

          public static MediaResolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaResolution c : MediaResolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaResolution valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromNameOrLabel

          public static MediaResolution fromNameOrLabel​(String nameOrLabel)

    - #### getName

          public String getName()

    - #### isDisplayed

          public boolean isDisplayed()

      Indicates if the definition can be displayed to the user.
      Returns:
        true if the definition can be displayed, false otherwise.

    - #### getLabel

          public String getLabel()

    - #### getWidth

          public Integer getWidth()

    - #### getHeight

          public Integer getHeight()

    - #### getThumbnailSuffix

          public String getThumbnailSuffix()

    - #### isWatermarkApplicable

          public boolean isWatermarkApplicable()

    - #### getWatermarkSize

          public Integer getWatermarkSize()

    - #### isTiny

          public boolean isTiny()

    - #### isSmall

          public boolean isSmall()

    - #### isMedium

          public boolean isMedium()

    - #### isLarge

          public boolean isLarge()

    - #### isPreview

          public boolean isPreview()

    - #### isWatermark

          public boolean isWatermark()